Bug 24768 - "Return claims" column is missing from column configuration page
Summary: "Return claims" column is missing from column configuration page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 14697
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-29 09:11 UTC by Katrin Fischer
Modified: 2020-05-14 18:15 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24768: Add 'Return claims' to column configuration for checkouts tables (1.61 KB, patch)
2020-04-13 00:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24768: Add 'Return claims' to column configuration for checkouts tables (1.61 KB, patch)
2020-04-13 15:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24768: Add 'Return claims' to column configuration for checkouts tables (1.66 KB, patch)
2020-04-13 16:16 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24768: Add 'Return claims' to column configuration for checkouts tables (1.76 KB, patch)
2020-04-17 10:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-02-29 09:11:03 UTC
While all other columns in the checkouts tables on the checkouts and details tab can be hidden by default using the column configuration page, this is not true for the new column "Return claims".

I am filing this as a bug report as I think it's a necessary usability fix - not all libraries will be interested in this feature and the column takes up quite a lot of space. It would also help libraries using the feature as it's not a thing that you need all the time, so setting to 'hidden by default, but can togggle' will allow to make it visible when needed for use.
Comment 1 Katrin Fischer 2020-04-13 00:08:32 UTC
Created attachment 102787 [details] [review]
Bug 24768: Add 'Return claims' to column configuration for checkouts tables

The checkouts tables on the checkouts and details tabs in the staff
patron account support column confiugration, but the new column
"Return claims" was missing.

This patch adds the column to the column configuration.

To test:
- Make sure to test with a patron having return claims and without
- Verify cou can toggle the visibility of the return claims column
  from top of the tables in the checkouts and details tabs
- Go to administrastion > column configuration
- Change the settings for the issues tables in the Patrons and
  Circulation sections
- Verify the changes have been applied to the tables as configured
Comment 2 David Roberts 2020-04-13 01:52:56 UTC
I've applied this patch but I can't see any option to hide this column, either from the top of the table, or in the column configuration admin. What am I missing? My user has a claims returned....

https://snipboard.io/462alZ.jpg

https://snipboard.io/YdK5xy.jpg
Comment 3 Katrin Fischer 2020-04-13 15:05:51 UTC
Thx for testing David, checking what's going on here!
Comment 4 Katrin Fischer 2020-04-13 15:10:32 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2020-04-13 15:11:38 UTC
Hi David, I indeed forgot to commit a typo fix on the pref file, but from your screenshots it looks like a 'restart_all' might be missing or as if the patch hadn't been applied. Could you try again?
Comment 6 David Roberts 2020-04-13 16:16:06 UTC
Created attachment 102870 [details] [review]
Bug 24768: Add 'Return claims' to column configuration for checkouts tables

The checkouts tables on the checkouts and details tabs in the staff
patron account support column confiugration, but the new column
"Return claims" was missing.

This patch adds the column to the column configuration.

To test:
- Make sure to test with a patron having return claims and without
- Verify cou can toggle the visibility of the return claims column
  from top of the tables in the checkouts and details tabs
- Go to administrastion > column configuration
- Change the settings for the issues tables in the Patrons and
  Circulation sections
- Verify the changes have been applied to the tables as configured

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 7 David Roberts 2020-04-13 16:16:26 UTC
Thanks Katrin, works perfectly now.
Comment 8 Marcel de Rooy 2020-04-17 10:27:49 UTC
Created attachment 103141 [details] [review]
Bug 24768: Add 'Return claims' to column configuration for checkouts tables

The checkouts tables on the checkouts and details tabs in the staff
patron account support column confiugration, but the new column
"Return claims" was missing.

This patch adds the column to the column configuration.

To test:
- Make sure to test with a patron having return claims and without
- Verify cou can toggle the visibility of the return claims column
  from top of the tables in the checkouts and details tabs
- Go to administrastion > column configuration
- Change the settings for the issues tables in the Patrons and
  Circulation sections
- Verify the changes have been applied to the tables as configured

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Martin Renvoize 2020-04-17 12:51:39 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-05-08 13:47:38 UTC
when running qa after applying to 19.11.x I am seeing a failing on POD coverage for the koha_object_class in course items, course reserves, and course instructor.

Safe to ignore or fine to push to 19.11.x?
Comment 11 Jonathan Druart 2020-05-08 14:02:49 UTC
You can ignore the POD warnings.
Comment 12 Joy Nelson 2020-05-08 18:50:07 UTC
Backported to 19.11.x for 19.11.06
Comment 13 Lucas Gass 2020-05-14 18:15:37 UTC
Dependency is missing for 19.05.x, no backport